/*  -*- mode: clanlib -*-
**  $Id: command_line.cpp,v 1.5 2003/09/12 11:57:29 mbn Exp $
**
**  ClanLib Game SDK
**  Copyright (C) 2003  The ClanLib Team
**  For a total list of contributers see the file CREDITS.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This library is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
**  Lesser General Public License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
*/

#include "Core/precomp.h"
#include "API/Core/System/command_line.h"
#include "command_line_generic.h"

CL_CommandLine::CL_CommandLine()
{
	impl = new CL_CommandLine_Generic();
}

CL_CommandLine::~CL_CommandLine()
{
	delete impl;
}

void CL_CommandLine::parse_args(int argc, char** argv)
{
	impl->parse_args(argc, argv);
}

void CL_CommandLine::print_help()
{
	impl->print_help();
}

void CL_CommandLine::set_help_indent(int i)
{
	impl->set_help_indent(i);
}

void CL_CommandLine::add_usage(const std::string& usage)
{
	impl->add_usage(usage);
}

void CL_CommandLine::add_doc(const std::string& doc)
{
	impl->add_doc(doc);
}

void CL_CommandLine::add_group(const std::string& grouptopic)
{
	impl->add_group(grouptopic);
}

void CL_CommandLine::add_option(
	int key, 
	const std::string& long_option, 
	const std::string& argument,
	const std::string& help,
	bool visible)
{
	impl->add_option(key, long_option, argument, help, visible);
}

bool CL_CommandLine::next()
{
	return impl->next();
}

int CL_CommandLine::get_key()
{
	return impl->get_key();
}

std::string CL_CommandLine::get_argument()
{
	return impl->get_argument();
}
